import SIPrefixFactor from './../utils/unit.converter'

const ProjectServiceMock= {
    project_categories: [{url: "Regular", value: 'Regular'}, {url: "User Shared Support", value: 'User Shared Support'}],
    period_categories: [{url: "Single Cycle", value: 'Single Cycle'}, {url: "Long Term", value: 'Long Term'}],
    archiveLocation:{"id":1,"url":"http://localhost:3000/api/project_quota_archive_location/1","archive_location":"http://localhost:3000/api/filesystem/2","archive_location_id":2,"archive_subdirectory":"high","full_archive_uri":"srm://srm.grid.sara.nl:8443/pnfs/grid.sara.nl/data/lofar/ops/projects/high/","project_quota":"http://localhost:3000/api/project_quota/1","project_quota_id":1},
    cluster: [{
        "id":1,
        "url":"http://localhost:3000/api/cluster/1",
        "archive_site":false,
        "created_at":"2022-01-17T03:55:57.080574",
        "description":"",
        "location":"CIT",
        "name":"CEP4",
        "tags":[],
        "updated_at":"2022-01-17T03:55:57.080611"
      },
      {
        "id":2,
        "url":"http://localhost:3000/api/cluster/2",
        "archive_site":true,
        "created_at":"2022-01-17T03:55:57.089156",
        "description":"",
        "location":"SARA","name":"SARA","tags":[],"updated_at":"2022-01-17T03:55:57.089202"},{"id":3,"url":"http://localhost:3000/api/cluster/3","archive_site":true,"created_at":"2022-01-17T03:55:57.091489","description":"","location":"Jülich","name":"Jülich","tags":[],"updated_at":"2022-01-17T03:55:57.091514"},{"id":4,"url":"http://localhost:3000/api/cluster/4","archive_site":true,"created_at":"2022-01-17T03:55:57.093099","description":"","location":"Poznan","name":"Poznan","tags":[],"updated_at":"2022-01-17T03:55:57.093118"}],
    fileSystem:[{
        "id":1,
        "url":"http://localhost:3000/api/filesystem/1",
        "capacity":3600000000000000,
        "cluster":"http://localhost:3000/api/cluster/1",
        "cluster_id":1,"created_at":"2022-01-17T03:55:57.085707",
        "description":"",
        "directory":"",
        "name":"LustreFS",
        "tags":[],
        "updated_at":"2022-01-17T03:55:57.085730"
      },
      {
        "id":2,
        "url":"http://localhost:3000/api/filesystem/2",
        "capacity":3600000000000000,
        "cluster":"http://localhost:3000/api/cluster/2",
        "cluster_id":2,
        "created_at":"2022-01-17T03:55:57.094923",
        "description":"",
        "directory":"srm://srm.grid.sara.nl:8443/pnfs/grid.sara.nl/data/lofar/ops/projects/",
        "name":"Lofar Storage (SARA)",
        "tags":[],"updated_at":"2022-01-17T03:55:57.094961"
      },
      {"id":3,
      "url":"http://localhost:3000/api/filesystem/3",
      "capacity":3600000000000000,
      "cluster":"http://localhost:3000/api/cluster/2",
      "cluster_id":2,
      "created_at":"2022-01-17T03:55:57.096899",
      "description":"",
      "directory":"srm://srm.grid.sara.nl:8443/pnfs/grid.sara.nl/data/lofar/ops/test/projects/",
      "name":"Lofar Test Storage (SARA)",
      "tags":[],"updated_at":"2022-01-17T03:55:57.096920"
    },
    {"id":4,
    "url":"http://localhost:3000/api/filesystem/4",
    "capacity":3600000000000000,
    "cluster":"http://localhost:3000/api/cluster/2",
    "cluster_id":2,
    "created_at":"2022-01-17T03:55:57.098710",
    "description":"",
    "directory":"srm://srm.grid.sara.nl/pnfs/grid.sara.nl/data/lofar/user/disk/projects/",
    "name":"Lofar User Disk Storage (SARA)",
    "tags":[],
    "updated_at":"2022-01-17T03:55:57.098738"
  }],
    resources: [{
        "name": "LOFAR Observing Time",
        "url": "http://localhost:3000/api/resource_type/LOFAR%20Observing%20Time/",
        "created_at": "2020-07-29T07:31:21.708296",
        "description": "LOFAR Observing Time",
        "tags": [
        ],
        "updated_at": "2020-07-29T07:31:21.708316",
        "quantity_value": "time"
    },
    {
        "name": "LOFAR Observing Time prio A",
        "url": "http://localhost:3000/api/resource_type/LOFAR%20Observing%20Time%20prio%20A/",
        "created_at": "2020-07-29T07:31:21.827537",
        "description": "LOFAR Observing Time prio A",
        "tags": [
        ],
        "updated_at": "2020-07-29T07:31:21.827675",
        "quantity_value": "time"
    },
    {
        "name": "LOFAR Observing Time prio B",
        "url": "http://localhost:3000/api/resource_type/LOFAR%20Observing%20Time%20prio%20B/",
        "created_at": "2020-07-29T07:31:21.950948",
        "description": "LOFAR Observing Time prio B",
        "tags": [
        ],
        "updated_at": "2020-07-29T07:31:21.950968",
        "quantity_value": "time"
    },
    {
        "name": "CEP Processing Time",
        "url": "http://localhost:3000/api/resource_type/CEP%20Processing%20Time/",
        "created_at": "2020-07-29T07:31:22.097916",
        "description": "CEP Processing Time",
        "tags": [
        ],
        "updated_at": "2020-07-29T07:31:22.097941",
        "quantity_value": "time"
    },
    {
        "name": "LTA Storage",
        "url": "http://localhost:3000/api/resource_type/LTA%20Storage/",
        "created_at": "2020-07-29T07:31:22.210071",
        "description": "LTA Storage",
        "tags": [
        ],
        "updated_at": "2020-07-29T07:31:22.210091",
        "quantity_value": "bytes"
    },
    {
        "name": "Number of triggers",
        "url": "http://localhost:3000/api/resource_type/Number%20of%20triggers/",
        "created_at": "2020-07-29T07:31:22.317313",
        "description": "Number of triggers",
        "tags": [
        ],
        "updated_at": "2020-07-29T07:31:22.317341",
        "quantity_value": "number"
    },
    {
        "name": "LOFAR Support Time",
        "url": "http://localhost:3000/api/resource_type/LOFAR%20Support%20Time/",
        "created_at": "2020-07-29T07:31:22.437945",
        "description": "LOFAR Support Time",
        "tags": [
        ],
        "updated_at": "2020-07-29T07:31:22.437964",
        "quantity_value": "time"
    },
    {
      "created_at": "2022-01-27T07:53:01.677201",
      "description": "Amount of storage on the CEP processing cluster (in bytes)",
      "name": "CEP Storage",
      "quantity": "http://localhost:3000/api/quantity/bytes",
      "quantity_value": "bytes",
      "tags": [],
      "updated_at": "2022-01-27T07:53:01.677215",
      "url": "http://localhost:3000/api/resource_type/CEP%20Storage",
    },
    {
      'created_at': "2022-01-27T07:53:01.677525",
      'description': "Observing time for Commissioning/DDT (in seconds)",
      'name': "LOFAR Observing Time Commissioning",
      'quantity': "http://localhost:3000/api/quantity/time",
      'quantity_value': "time",
      'tags': [],
      'updated_at': "2022-01-27T07:53:01.677538"
    }],
    projectResourceDefaults: {
        'LOFAR Observing Time': 3600, 
        'LOFAR Observing Time prio A': 3600, 
        'LOFAR Observing Time prio B': 3600,
        'CEP Processing Time': 3600,
        'LTA Storage': SIPrefixFactor ** 4,
        'Number of triggers': 1,
        'LOFAR Support Time': 3600
    },
    // projectD: [{"name":"OSR-11","url":"http://localhost:3000/api/project/OSR-11","auto_ingest":false,"auto_pin":false,"can_trigger":false,"created_at":"2022-01-19T04:46:43.624152","cycles":[],"cycles_ids":[],"description":"1","expert":false,"filler":false,"period_category":null,"period_category_value":null,"piggyback_allowed_aartfaac":false,"piggyback_allowed_tbb":false,"rank":1.0,"private_data":true,"project_category":null,"project_category_value":null,"project_state":"http://localhost:3000/api/project_state/opened","project_state_value":"opened",
    // "quota":[{"id":4,"url":"http://localhost:3000/api/project_quota/4","project":"http://localhost:3000/api/project/1","project_id":"1","project_quota_archive_location":[],"project_quota_archive_location_ids":[],"resource_type":"http://localhost:3000/api/resource_type/CEP%20Processing%20Time","resource_type_id":"CEP Processing Time","value":3600.0},{"id":5,"url":"http://localhost:3000/api/project_quota/5","project":"http://localhost:3000/api/project/1","project_id":"1","project_quota_archive_location":[],"project_quota_archive_location_ids":[],
    // "resource_type":"http://localhost:3000/api/resource_type/LOFAR%20Observing%20Time","resource_type_id":"LOFAR Observing Time","value":3600.0},{"id":6,"url":"http://localhost:3000/api/project_quota/6","project":"http://localhost:3000/api/project/1","project_id":"1","project_quota_archive_location":[],"project_quota_archive_location_ids":[],"resource_type":"http://localhost:3000/api/resource_type/LOFAR%20Observing%20Time%20prio%20A","resource_type_id":"LOFAR Observing Time prio A","value":3600.0},{"id":7,"url":"http://localhost:3000/api/project_quota/7","project":"http://localhost:3000/api/project/1","project_id":"1","project_quota_archive_location":[],"project_quota_archive_location_ids":[],"resource_type":"http://localhost:3000/api/resource_type/LOFAR%20Observing%20Time%20prio%20B","resource_type_id":"LOFAR Observing Time prio B","value":3600.0},{"id":8,"url":"http://localhost:3000/api/project_quota/8","project":"http://localhost:3000/api/project/1","project_id":"1","project_quota_archive_location":[],"project_quota_archive_location_ids":[],"resource_type":"http://localhost:3000/api/resource_type/LOFAR%20Support%20Time","resource_type_id":"LOFAR Support Time","value":3600.0},{"id":9,"url":"http://localhost:3000/api/project_quota/9","project":"http://localhost:3000/api/project/1","project_id":"1","project_quota_archive_location":[],"project_quota_archive_location_ids":[],"resource_type":"http://localhost:3000/api/resource_type/LTA%20Storage","resource_type_id":"LTA Storage","value":1099511627776.0},{"id":10,"url":"http://localhost:3000/api/project_quota/10","project":"http://localhost:3000/api/project/1","project_id":"1","project_quota_archive_location":[],"project_quota_archive_location_ids":[],"resource_type":"http://localhost:3000/api/resource_type/Number%20of%20triggers","resource_type_id":"Number of triggers","value":1.0}],"quota_ids":[4,5,6,7,8,9,10],"tags":[],"trigger_priority":1000,"updated_at":"2022-01-19T04:46:43.624491"},
    // {"name":"1a","url":"http://localhost:3000/api/project/1a","auto_ingest":false,"auto_pin":false,"can_trigger":false,"created_at":"2022-01-19T08:14:16.030295","cycles":[],"cycles_ids":[],"description":"1","expert":false,"filler":false,"period_category":null,"period_category_value":null,"piggyback_allowed_aartfaac":false,"piggyback_allowed_tbb":false,"rank":1.0,"private_data":true,"project_category":null,"project_category_value":null,"project_state":"http://localhost:3000/api/project_state/opened","project_state_value":"opened","quota":[{"id":11,"url":"http://localhost:3000/api/project_quota/11","project":"http://localhost:3000/api/project/1a","project_id":"1a","project_quota_archive_location":[],"project_quota_archive_location_ids":[],"resource_type":"http://localhost:3000/api/resource_type/CEP%20Processing%20Time","resource_type_id":"CEP Processing Time","value":3600.0},{"id":12,"url":"http://localhost:3000/api/project_quota/12","project":"http://localhost:3000/api/project/1a","project_id":"1a","project_quota_archive_location":[],"project_quota_archive_location_ids":[],"resource_type":"http://localhost:3000/api/resource_type/LOFAR%20Observing%20Time","resource_type_id":"LOFAR Observing Time","value":3600.0},{"id":13,"url":"http://localhost:3000/api/project_quota/13","project":"http://localhost:3000/api/project/1a","project_id":"1a","project_quota_archive_location":[],"project_quota_archive_location_ids":[],"resource_type":"http://localhost:3000/api/resource_type/LOFAR%20Observing%20Time%20prio%20A","resource_type_id":"LOFAR Observing Time prio A","value":3600.0},{"id":14,"url":"http://localhost:3000/api/project_quota/14","project":"http://localhost:3000/api/project/1a","project_id":"1a","project_quota_archive_location":[],"project_quota_archive_location_ids":[],"resource_type":"http://localhost:3000/api/resource_type/LOFAR%20Observing%20Time%20prio%20B","resource_type_id":"LOFAR Observing Time prio B","value":3600.0},{"id":15,"url":"http://localhost:3000/api/project_quota/15","project":"http://localhost:3000/api/project/1a","project_id":"1a","project_quota_archive_location":[],"project_quota_archive_location_ids":[],"resource_type":"http://localhost:3000/api/resource_type/LOFAR%20Support%20Time","resource_type_id":"LOFAR Support Time","value":3600.0},{"id":16,"url":"http://localhost:3000/api/project_quota/16","project":"http://localhost:3000/api/project/1a","project_id":"1a","project_quota_archive_location":[],"project_quota_archive_location_ids":[],"resource_type":"http://localhost:3000/api/resource_type/LTA%20Storage","resource_type_id":"LTA Storage","value":1099511627776.0},{"id":17,"url":"http://localhost:3000/api/project_quota/17","project":"http://localhost:3000/api/project/1a","project_id":"1a","project_quota_archive_location":[],"project_quota_archive_location_ids":[],"resource_type":"http://localhost:3000/api/resource_type/Number%20of%20triggers","resource_type_id":"Number of triggers","value":1.0}],"quota_ids":[11,12,13,14,15,16,17],"tags":[],"trigger_priority":1000,"updated_at":"2022-01-19T08:14:16.030638"},{"name":"aa","url":"http://localhost:3000/api/project/aa","auto_ingest":false,"auto_pin":false,"can_trigger":false,"created_at":"2022-01-19T08:28:40.661815","cycles":[],"cycles_ids":[],"description":"s","expert":false,"filler":false,"period_category":null,"period_category_value":null,"piggyback_allowed_aartfaac":false,"piggyback_allowed_tbb":false,"rank":1.0,"private_data":true,"project_category":null,"project_category_value":null,"project_state":"http://localhost:3000/api/project_state/opened","project_state_value":"opened","quota":[{"id":18,"url":"http://localhost:3000/api/project_quota/18","project":"http://localhost:3000/api/project/aa","project_id":"aa","project_quota_archive_location":[],"project_quota_archive_location_ids":[],"resource_type":"http://localhost:3000/api/resource_type/CEP%20Processing%20Time","resource_type_id":"CEP Processing Time","value":3600.0},{"id":19,"url":"http://localhost:3000/api/project_quota/19","project":"http://localhost:3000/api/project/aa","project_id":"aa","project_quota_archive_location":[],"project_quota_archive_location_ids":[],"resource_type":"http://localhost:3000/api/resource_type/LOFAR%20Observing%20Time","resource_type_id":"LOFAR Observing Time","value":3600.0},{"id":20,"url":"http://localhost:3000/api/project_quota/20","project":"http://localhost:3000/api/project/aa","project_id":"aa","project_quota_archive_location":[],"project_quota_archive_location_ids":[],"resource_type":"http://localhost:3000/api/resource_type/LOFAR%20Observing%20Time%20prio%20A","resource_type_id":"LOFAR Observing Time prio A","value":3600.0},{"id":21,"url":"http://localhost:3000/api/project_quota/21","project":"http://localhost:3000/api/project/aa","project_id":"aa","project_quota_archive_location":[],"project_quota_archive_location_ids":[],"resource_type":"http://localhost:3000/api/resource_type/LOFAR%20Observing%20Time%20prio%20B","resource_type_id":"LOFAR Observing Time prio B","value":3600.0},{"id":22,"url":"http://localhost:3000/api/project_quota/22","project":"http://localhost:3000/api/project/aa","project_id":"aa","project_quota_archive_location":[],"project_quota_archive_location_ids":[],"resource_type":"http://localhost:3000/api/resource_type/LOFAR%20Support%20Time","resource_type_id":"LOFAR Support Time","value":3600.0},{"id":23,"url":"http://localhost:3000/api/project_quota/23","project":"http://localhost:3000/api/project/aa","project_id":"aa","project_quota_archive_location":[],"project_quota_archive_location_ids":[],"resource_type":"http://localhost:3000/api/resource_type/LTA%20Storage","resource_type_id":"LTA Storage","value":1099511627776.0},{"id":24,"url":"http://localhost:3000/api/project_quota/24","project":"http://localhost:3000/api/project/aa","project_id":"aa","project_quota_archive_location":[],"project_quota_archive_location_ids":[],"resource_type":"http://localhost:3000/api/resource_type/Number%20of%20triggers","resource_type_id":"Number of triggers","value":1.0}],"quota_ids":[18,19,20,21,22,23,24],"tags":[],"trigger_priority":1000,"updated_at":"2022-01-19T08:28:40.661948"},{"name":"high","url":"http://localhost:3000/api/project/high","auto_ingest":false,"auto_pin":false,"can_trigger":true,"created_at":"2022-01-17T03:55:59.176340","cycles":["http://localhost:3000/api/cycle/Cycle%2016"],"cycles_ids":["Cycle 16"],"description":"Project for all TMSS tests and commissioning (high priority)","expert":true,"filler":false,"period_category":null,"period_category_value":null,"piggyback_allowed_aartfaac":true,"piggyback_allowed_tbb":true,"rank":3.0,"private_data":true,"project_category":null,"project_category_value":null,"project_state":"http://localhost:3000/api/project_state/opened","project_state_value":"opened",
    // "quota":[{"id":1,"url":"http://localhost:3000/api/project_quota/1","project":"http://localhost:3000/api/project/high",
    // "project_id":"high","project_quota_archive_location":[{"id":1,"url":"http://localhost:3000/api/project_quota_archive_location/1","archive_location":"http://localhost:3000/api/filesystem/2","archive_location_id":2,"archive_subdirectory":"high","full_archive_uri":"srm://srm.grid.sara.nl:8443/pnfs/grid.sara.nl/data/lofar/ops/projects/high/","project_quota":"http://localhost:3000/api/project_quota/1","project_quota_id":1}],"project_quota_archive_location_ids":[1],"resource_type":"http://localhost:3000/api/resource_type/LTA%20Storage","resource_type_id":"LTA Storage","value":109951162777600.0}],"quota_ids":[1],"tags":["Commissioning"],"trigger_priority":1000,"updated_at":"2022-01-21T08:22:44.858226"},{"name":"low","url":"http://localhost:3000/api/project/low","auto_ingest":false,"auto_pin":false,"can_trigger":false,"created_at":"2022-01-17T03:55:59.299870","cycles":["http://localhost:3000/api/cycle/Cycle%2016"],"cycles_ids":["Cycle 16"],"description":"Project for all TMSS tests and commissioning (low priority)","expert":true,"filler":false,"period_category":null,"period_category_value":null,"piggyback_allowed_aartfaac":true,"piggyback_allowed_tbb":true,"rank":1.0,"private_data":true,"project_category":null,"project_category_value":null,"project_state":"http://localhost:3000/api/project_state/opened","project_state_value":"opened","quota":[{"id":3,"url":"http://localhost:3000/api/project_quota/3","project":"http://localhost:3000/api/project/low","project_id":"low","project_quota_archive_location":[{"id":3,"url":"http://localhost:3000/api/project_quota_archive_location/3","archive_location":"http://localhost:3000/api/filesystem/2","archive_location_id":2,"archive_subdirectory":"low","full_archive_uri":"srm://srm.grid.sara.nl:8443/pnfs/grid.sara.nl/data/lofar/ops/projects/low/","project_quota":"http://localhost:3000/api/project_quota/3","project_quota_id":3}],"project_quota_archive_location_ids":[3],"resource_type":"http://localhost:3000/api/resource_type/LTA%20Storage","resource_type_id":"LTA Storage","value":1000000000000.0}],"quota_ids":[3],"tags":["Commissioning"],"trigger_priority":1000,"updated_at":"2022-01-17T03:55:59.327183"},{"name":"normal","url":"http://localhost:3000/api/project/normal","auto_ingest":false,"auto_pin":false,"can_trigger":false,"created_at":"2022-01-17T03:55:59.256002","cycles":["http://localhost:3000/api/cycle/Cycle%2016"],"cycles_ids":["Cycle 16"],"description":"Project for all TMSS tests and commissioning (normal priority)","expert":true,"filler":false,"period_category":null,"period_category_value":null,"piggyback_allowed_aartfaac":true,"piggyback_allowed_tbb":true,"rank":2.0,"private_data":true,"project_category":null,"project_category_value":null,"project_state":"http://localhost:3000/api/project_state/opened","project_state_value":"opened","quota":[{"id":2,"url":"http://localhost:3000/api/project_quota/2","project":"http://localhost:3000/api/project/normal","project_id":"normal","project_quota_archive_location":[{"id":2,"url":"http://localhost:3000/api/project_quota_archive_location/2","archive_location":"http://localhost:3000/api/filesystem/2","archive_location_id":2,"archive_subdirectory":"normal","full_archive_uri":"srm://srm.grid.sara.nl:8443/pnfs/grid.sara.nl/data/lofar/ops/projects/normal/","project_quota":"http://localhost:3000/api/project_quota/2","project_quota_id":2}],"project_quota_archive_location_ids":[2],"resource_type":"http://localhost:3000/api/resource_type/LTA%20Storage","resource_type_id":"LTA Storage","value":1000000000000.0}],"quota_ids":[2],"tags":["Commissioning"],"trigger_priority":1000,"updated_at":"2022-01-17T03:55:59.271224"},{"name":"sssa","url":"http://localhost:3000/api/project/sssa","auto_ingest":false,"auto_pin":false,"can_trigger":false,"created_at":"2022-01-19T08:32:03.664479","cycles":[],"cycles_ids":[],"description":"a","expert":false,"filler":false,"period_category":null,"period_category_value":null,"piggyback_allowed_aartfaac":false,"piggyback_allowed_tbb":false,"rank":2.0,"private_data":true,"project_category":null,"project_category_value":null,"project_state":"http://localhost:3000/api/project_state/opened","project_state_value":"opened","quota":[{"id":25,"url":"http://localhost:3000/api/project_quota/25","project":"http://localhost:3000/api/project/sssa","project_id":"sssa","project_quota_archive_location":[],"project_quota_archive_location_ids":[],"resource_type":"http://localhost:3000/api/resource_type/CEP%20Processing%20Time","resource_type_id":"CEP Processing Time","value":3600.0},{"id":26,"url":"http://localhost:3000/api/project_quota/26","project":"http://localhost:3000/api/project/sssa","project_id":"sssa","project_quota_archive_location":[],"project_quota_archive_location_ids":[],"resource_type":"http://localhost:3000/api/resource_type/LOFAR%20Observing%20Time","resource_type_id":"LOFAR Observing Time","value":3600.0},{"id":27,"url":"http://localhost:3000/api/project_quota/27","project":"http://localhost:3000/api/project/sssa","project_id":"sssa","project_quota_archive_location":[],"project_quota_archive_location_ids":[],"resource_type":"http://localhost:3000/api/resource_type/LOFAR%20Observing%20Time%20prio%20A","resource_type_id":"LOFAR Observing Time prio A","value":3600.0},{"id":28,"url":"http://localhost:3000/api/project_quota/28","project":"http://localhost:3000/api/project/sssa","project_id":"sssa","project_quota_archive_location":[],"project_quota_archive_location_ids":[],"resource_type":"http://localhost:3000/api/resource_type/LOFAR%20Observing%20Time%20prio%20B","resource_type_id":"LOFAR Observing Time prio B","value":36000.0},{"id":29,"url":"http://localhost:3000/api/project_quota/29","project":"http://localhost:3000/api/project/sssa","project_id":"sssa","project_quota_archive_location":[],"project_quota_archive_location_ids":[],"resource_type":"http://localhost:3000/api/resource_type/LOFAR%20Support%20Time","resource_type_id":"LOFAR Support Time","value":18000.0},{"id":30,"url":"http://localhost:3000/api/project_quota/30","project":"http://localhost:3000/api/project/sssa","project_id":"sssa","project_quota_archive_location":[],"project_quota_archive_location_ids":[],"resource_type":"http://localhost:3000/api/resource_type/LTA%20Storage","resource_type_id":"LTA Storage","value":1099511627776.0},{"id":31,"url":"http://localhost:3000/api/project_quota/31","project":"http://localhost:3000/api/project/sssa","project_id":"sssa","project_quota_archive_location":[],"project_quota_archive_location_ids":[],"resource_type":"http://localhost:3000/api/resource_type/Number%20of%20triggers","resource_type_id":"Number of triggers","value":9.0}],"quota_ids":[25,26,27,28,29,30,31],"tags":[],"trigger_priority":1000,"updated_at":"2022-01-21T13:57:55.298457"}],
    projectWithQuota: [
      {
        "name":"high",
        "url":"http://localhost:3000/api/project/high",
        "auto_ingest":false,"auto_pin":false,"can_trigger":true,
        "created_at":"2022-02-01T19:09:57.947173",
        "cycles":["http://localhost:3000/api/cycle/Cycle%2016"],"cycles_ids":["Cycle 16"],
        "description":"Project for all TMSS tests and commissioning (high priority)",
        "expert":true,"filler":false,"period_category":null,"period_category_value":null,
        "piggyback_allowed_aartfaac":true,"piggyback_allowed_tbb":true,"rank":3.0,
        "private_data":true,"project_category":null,"project_category_value":null,
        "project_state":"http://localhost:3000/api/project_state/opened","project_state_value":"opened",
        "quota":[
          {"id":1,"url":"http://localhost:3000/api/project_quota/1","project":"http://localhost:3000/api/project/high",
          "project_id":"high",
          "project_quota_archive_location":[{"id":1,"url":"http://localhost:3000/api/project_quota_archive_location/1","archive_location":"http://localhost:3000/api/filesystem/2","archive_location_id":2,"archive_subdirectory":"high","full_archive_uri":"srm://srm.grid.sara.nl:8443/pnfs/grid.sara.nl/data/lofar/ops/projects/high/","project_quota":"http://localhost:3000/api/project_quota/1","project_quota_id":1}],
          "project_quota_archive_location_ids":[1],"resource_type":"http://localhost:3000/api/resource_type/LTA%20Storage","resource_type_id":"LTA Storage","value":1000000000000.0}],"quota_ids":[1],
          "tags":["Commissioning"],"trigger_priority":1000,"updated_at":"2022-02-01T19:09:57.958533"},
      {
        "name":"low","url":"http://localhost:3000/api/project/low","auto_ingest":false,"auto_pin":false,
        "can_trigger":false,"created_at":"2022-02-01T19:09:57.995421","cycles":["http://localhost:3000/api/cycle/Cycle%2016"],
        "cycles_ids":["Cycle 16"],"description":"Project for all TMSS tests and commissioning (low priority)","expert":true,
        "filler":false,"period_category":null,"period_category_value":null,"piggyback_allowed_aartfaac":true,"piggyback_allowed_tbb":true,
        "rank":1.0,"private_data":true,"project_category":null,"project_category_value":null,
        "project_state":"http://localhost:3000/api/project_state/opened","project_state_value":"opened",
        "quota":[{"id":3,"url":"http://localhost:3000/api/project_quota/3","project":"http://localhost:3000/api/project/low","project_id":"low",
          "project_quota_archive_location":[{"id":3,"url":"http://localhost:3000/api/project_quota_archive_location/3","archive_location":"http://localhost:3000/api/filesystem/2","archive_location_id":2,"archive_subdirectory":"low","full_archive_uri":"srm://srm.grid.sara.nl:8443/pnfs/grid.sara.nl/data/lofar/ops/projects/low/","project_quota":"http://localhost:3000/api/project_quota/3","project_quota_id":3}],"project_quota_archive_location_ids":[3],"resource_type":"http://localhost:3000/api/resource_type/LTA%20Storage","resource_type_id":"LTA Storage","value":1000000000000.0}],
        "quota_ids":[3],
        "tags":["Commissioning"],"trigger_priority":1000,"updated_at":"2022-02-01T19:09:58.001912"},
      {"name":"normal","url":"http://localhost:3000/api/project/normal","auto_ingest":false,"auto_pin":false,"can_trigger":false,"created_at":"2022-02-01T19:09:57.974892","cycles":["http://localhost:3000/api/cycle/Cycle%2016"],"cycles_ids":["Cycle 16"],"description":"Project for all TMSS tests and commissioning (normal priority)","expert":true,"filler":false,"period_category":null,"period_category_value":null,"piggyback_allowed_aartfaac":true,"piggyback_allowed_tbb":true,"rank":2.0,"private_data":true,"project_category":null,"project_category_value":null,"project_state":"http://localhost:3000/api/project_state/opened","project_state_value":"opened","quota":[{"id":2,"url":"http://localhost:3000/api/project_quota/2","project":"http://localhost:3000/api/project/normal","project_id":"normal","project_quota_archive_location":[{"id":2,"url":"http://localhost:3000/api/project_quota_archive_location/2","archive_location":"http://localhost:3000/api/filesystem/2","archive_location_id":2,"archive_subdirectory":"normal","full_archive_uri":"srm://srm.grid.sara.nl:8443/pnfs/grid.sara.nl/data/lofar/ops/projects/normal/","project_quota":"http://localhost:3000/api/project_quota/2","project_quota_id":2}],"project_quota_archive_location_ids":[2],"resource_type":"http://localhost:3000/api/resource_type/LTA%20Storage","resource_type_id":"LTA Storage","value":1000000000000.0}],"quota_ids":[2],"tags":["Commissioning"],"trigger_priority":1000,"updated_at":"2022-02-01T19:09:57.981550"},
      {"name":"q","url":"http://localhost:3000/api/project/q","auto_ingest":false,"auto_pin":false,"can_trigger":false,"created_at":"2022-02-01T19:23:20.647543","cycles":[],"cycles_ids":[],"description":"1","expert":false,"filler":false,"period_category":null,"period_category_value":null,"piggyback_allowed_aartfaac":false,"piggyback_allowed_tbb":false,"rank":1.0,"private_data":true,"project_category":null,"project_category_value":null,"project_state":"http://localhost:3000/api/project_state/opened","project_state_value":"opened","quota":[{"id":4,"url":"http://localhost:3000/api/project_quota/4","project":"http://localhost:3000/api/project/q","project_id":"q","project_quota_archive_location":[],"project_quota_archive_location_ids":[],"resource_type":"http://localhost:3000/api/resource_type/CEP%20Processing%20Time","resource_type_id":"CEP Processing Time","value":3600.0},{"id":5,"url":"http://localhost:3000/api/project_quota/5","project":"http://localhost:3000/api/project/q","project_id":"q","project_quota_archive_location":[],"project_quota_archive_location_ids":[],"resource_type":"http://localhost:3000/api/resource_type/LOFAR%20Observing%20Time","resource_type_id":"LOFAR Observing Time","value":3600.0},{"id":6,"url":"http://localhost:3000/api/project_quota/6","project":"http://localhost:3000/api/project/q","project_id":"q","project_quota_archive_location":[],"project_quota_archive_location_ids":[],"resource_type":"http://localhost:3000/api/resource_type/LOFAR%20Observing%20Time%20prio%20A","resource_type_id":"LOFAR Observing Time prio A","value":3600.0},{"id":7,"url":"http://localhost:3000/api/project_quota/7","project":"http://localhost:3000/api/project/q","project_id":"q","project_quota_archive_location":[],"project_quota_archive_location_ids":[],"resource_type":"http://localhost:3000/api/resource_type/LOFAR%20Observing%20Time%20prio%20B","resource_type_id":"LOFAR Observing Time prio B","value":3600.0},{"id":8,"url":"http://localhost:3000/api/project_quota/8","project":"http://localhost:3000/api/project/q","project_id":"q","project_quota_archive_location":[],"project_quota_archive_location_ids":[],"resource_type":"http://localhost:3000/api/resource_type/LOFAR%20Support%20Time","resource_type_id":"LOFAR Support Time","value":3600.0},{"id":10,"url":"http://localhost:3000/api/project_quota/10","project":"http://localhost:3000/api/project/q","project_id":"q","project_quota_archive_location":[],"project_quota_archive_location_ids":[],"resource_type":"http://localhost:3000/api/resource_type/Number%20of%20triggers","resource_type_id":"Number of triggers","value":1.0},{"id":11,"url":"http://localhost:3000/api/project_quota/11","project":"http://localhost:3000/api/project/q","project_id":"q","project_quota_archive_location":[],"project_quota_archive_location_ids":[],"resource_type":"http://localhost:3000/api/resource_type/CEP%20Storage","resource_type_id":"CEP Storage","value":1099511627776.0},{"id":13,"url":"http://localhost:3000/api/project_quota/13","project":"http://localhost:3000/api/project/q","project_id":"q","project_quota_archive_location":[],"project_quota_archive_location_ids":[],"resource_type":"http://localhost:3000/api/resource_type/LTA%20Storage","resource_type_id":"LTA Storage","value":16492674416640.0}],"quota_ids":[4,5,6,7,8,10,11,13],"tags":[],"trigger_priority":1000,"updated_at":"2022-02-01T19:47:42.805854"}],
    project: [{"name":"OSR-19","url":"http://192.168.99.100:8008/api/project/OSR-11/","auto_ingest":false,"auto_pin":false,"can_trigger":true,"created_at":"2022-01-17T03:55:59.176340","cycles":["http://localhost:3000/api/cycle/Cycle%2016"],"cycles_ids":["Cycle 16"],"description":"Project for all TMSS tests and commissioning (high priority)","expert":true,"filler":false,"period_category":null,"period_category_value":null,"piggyback_allowed_aartfaac":true,"piggyback_allowed_tbb":true,"rank":3.0,"private_data":true,"project_category":null,"project_category_value":null,"project_state":"http://localhost:3000/api/project_state/opened","project_state_value":"opened","quota":["http://localhost:3000/api/project_quota/1"],"quota_ids":[1],"tags":["Commissioning"],"trigger_priority":1000,"updated_at":"2022-01-17T03:55:59.207661"},
    {
      "name":"OSR-11",
      "url":"http://192.168.99.100:8008/api/project/OSR-11",
      "auto_ingest":false,
      "auto_pin":false,
      "can_trigger":false,
      "created_at":"2022-01-19T08:32:03.664479",
      "cycles":[],
      "cycles_ids":[],
      "description":"a",
      "expert":false,
      "filler":false,
      "period_category":null,
      "period_category_value":null,
      "piggyback_allowed_aartfaac":false,
      "piggyback_allowed_tbb":false,
      "rank":2.0,
      "private_data":true,
      "project_category":null,
      "project_category_value":null,
      "project_state":"http://localhost:3000/api/project_state/opened",
      "project_state_value":"opened",
      "quota":[
        "http://localhost:3000/api/project_quota/25",
        "http://localhost:3000/api/project_quota/26",
        "http://localhost:3000/api/project_quota/27",
        "http://localhost:3000/api/project_quota/28",
        "http://localhost:3000/api/project_quota/29",
        "http://localhost:3000/api/project_quota/30",
        "http://localhost:3000/api/project_quota/31"
      ],
      "quota_ids":[25,26,27,28,29,30,31],
      "tags":[],
      "trigger_priority":1000,
      "updated_at":"2022-01-19T08:32:03.664542"
    },
    {
        "name": "OSR-16",
        "url": "http://192.168.99.100:8008/api/project/OSR-11/",
        "can_trigger": true,
        "created_at": "2020-07-29T18:20:06.187276",
        "cycles": [
          "http://192.168.99.100:8008/api/cycle/Cycle%200/"
        ],
        "cycles_ids": [
          "Cycle 0"
        ],
        "description": "OSR-11",
        "expert": false,
        "filler": false,
        "period_category": "Single Cycle",
        "period_category_value": "Single Cycle",
        "rank": 5,
        "private_data": true,
        "project_category": "Regular",
        "project_category_value": "Regular",
        "quota": [
          "http://192.168.99.100:8008/api/project_quota/70/",
          "http://192.168.99.100:8008/api/project_quota/71/",
          "http://192.168.99.100:8008/api/project_quota/72/",
          "http://192.168.99.100:8008/api/project_quota/73/",
          "http://192.168.99.100:8008/api/project_quota/74/",
          "http://192.168.99.100:8008/api/project_quota/75/",
          "http://192.168.99.100:8008/api/project_quota/76/",
          "http://192.168.99.100:8008/api/project_quota/77/"
        ],
        "quota_ids": [
          70,
          71,
          72,
          73,
          74,
          75,
          76,
          77
        ],
        "tags": [],
        "trigger_priority": 990,
        "updated_at": "2020-07-29T18:20:06.187342"
    }],
    projectQuota: [
        {
          "id": 70,
          "url": "http://192.168.99.100:8008/api/project_quota/70/",
          "project": "http://192.168.99.100:8008/api/project/OSR-11/",
          "project_id": "OSR-11",
          "resource_type": "http://192.168.99.100:8008/api/resource_type/CEP%20Processing%20Time/",
          "resource_type_id": "CEP Processing Time",
          "value": 36000
        },
        {"id":11,"url":"http://localhost:3000/api/project_quota/11","project":"http://localhost:3000/api/project/aaaaa","project_id":"aaaaa","project_quota_archive_location":[],"project_quota_archive_location_ids":[],"resource_type":"http://localhost:3000/api/resource_type/CEP%20Storage","resource_type_id":"CEP Storage","value":1099511627776.0},
        {"id":25,"url":"http://localhost:3000/api/project_quota/25","project":"http://localhost:3000/api/project/sssa","project_id":"sssa","project_quota_archive_location":[],"project_quota_archive_location_ids":[],"resource_type":"http://localhost:3000/api/resource_type/CEP%20Processing%20Time","resource_type_id":"CEP Processing Time","value":3600.0},
        {"id":26,"url":"http://localhost:3000/api/project_quota/26","project":"http://localhost:3000/api/project/sssa","project_id":"sssa","project_quota_archive_location":[],"project_quota_archive_location_ids":[],"resource_type":"http://localhost:3000/api/resource_type/LOFAR%20Observing%20Time","resource_type_id":"LOFAR Observing Time","value":3600.0},
        {"id":27,"url":"http://localhost:3000/api/project_quota/27","project":"http://localhost:3000/api/project/sssa","project_id":"sssa","project_quota_archive_location":[],"project_quota_archive_location_ids":[],"resource_type":"http://localhost:3000/api/resource_type/LOFAR%20Observing%20Time%20prio%20A","resource_type_id":"LOFAR Observing Time prio A","value":3600.0},
        {"id":28,"url":"http://localhost:3000/api/project_quota/28","project":"http://localhost:3000/api/project/sssa","project_id":"sssa","project_quota_archive_location":[],"project_quota_archive_location_ids":[],"resource_type":"http://localhost:3000/api/resource_type/LOFAR%20Observing%20Time%20prio%20B","resource_type_id":"LOFAR Observing Time prio B","value":3600.0},
        {"id":29,"url":"http://localhost:3000/api/project_quota/29","project":"http://localhost:3000/api/project/sssa","project_id":"sssa","project_quota_archive_location":[],"project_quota_archive_location_ids":[],"resource_type":"http://localhost:3000/api/resource_type/LOFAR%20Support%20Time","resource_type_id":"LOFAR Support Time","value":3600.0},
        {"id":30,"url":"http://localhost:3000/api/project_quota/30","project":"http://localhost:3000/api/project/sssa","project_id":"sssa","project_quota_archive_location":[],"project_quota_archive_location_ids":[],"resource_type":"http://localhost:3000/api/resource_type/LTA%20Storage","resource_type_id":"LTA Storage","value":1099511627776.0},
        {"id":31,"url":"http://localhost:3000/api/project_quota/31","project":"http://localhost:3000/api/project/sssa","project_id":"sssa","project_quota_archive_location":[],"project_quota_archive_location_ids":[],"resource_type":"http://localhost:3000/api/resource_type/Number%20of%20triggers","resource_type_id":"Number of triggers","value":1.0},
        {"id":1,"url":"http://localhost:3000/api/project_quota/1","project":"http://localhost:3000/api/project/q","project_id":"q","project_quota_archive_location":[],"project_quota_archive_location_ids":[],"resource_type":"http://localhost:3000/api/resource_type/LTA%20Storage","resource_type_id":"LTA Storage","value":16492674416640.0},
        {
          "id": 71,
          "url": "http://192.168.99.100:8008/api/project_quota/71/",
          "project": "http://192.168.99.100:8008/api/project/OSR-11/",
          "project_id": "OSR-11",
          "resource_type": "http://192.168.99.100:8008/api/resource_type/LOFAR%20Observing%20Time/",
          "resource_type_id": "LOFAR Observing Time",
          "value": 72000
        },
        {
          "id": 72,
          "url": "http://192.168.99.100:8008/api/project_quota/72/",
          "project": "http://192.168.99.100:8008/api/project/OSR-11/",
          "project_id": "OSR-11",
          "resource_type": "http://192.168.99.100:8008/api/resource_type/LOFAR%20Observing%20Time%20prio%20A/",
          "resource_type_id": "LOFAR Observing Time prio A",
          "value": 108000
        },
        {
          "id": 73,
          "url": "http://192.168.99.100:8008/api/project_quota/73/",
          "project": "http://192.168.99.100:8008/api/project/OSR-11/",
          "project_id": "OSR-11",
          "resource_type": "http://192.168.99.100:8008/api/resource_type/LOFAR%20Observing%20Time%20prio%20B/",
          "resource_type_id": "LOFAR Observing Time prio B",
          "value": 144000
        },
        {
          "id": 74,
          "url": "http://192.168.99.100:8008/api/project_quota/74/",
          "project": "http://192.168.99.100:8008/api/project/OSR-11/",
          "project_id": "OSR-11",
          "resource_type": "http://192.168.99.100:8008/api/resource_type/LOFAR%20Support%20Time/",
          "resource_type_id": "LOFAR Support Time",
          "value": 180000
        },
        {
          "id": 75,
          "url": "http://192.168.99.100:8008/api/project_quota/75/",
          "project": "http://192.168.99.100:8008/api/project/OSR-11/",
          "project_id": "OSR-11",
          "resource_type": "http://192.168.99.100:8008/api/resource_type/LTA%20Storage/",
          "resource_type_id": "LTA Storage",
          "value": 6597069766656
        },
        {
          "id": 76,
          "url": "http://192.168.99.100:8008/api/project_quota/76/",
          "project": "http://192.168.99.100:8008/api/project/OSR-11/",
          "project_id": "OSR-11",
          "resource_type": "http://192.168.99.100:8008/api/resource_type/Number%20of%20triggers/",
          "resource_type_id": "Number of triggers",
          "value": 7
        },
        {
          "id": 77,
          "url": "http://192.168.99.100:8008/api/project_quota/77/",
          "project": "http://192.168.99.100:8008/api/project/OSR-11/",
          "project_id": "OSR-11",
          "resource_type": "http://192.168.99.100:8008/api/resource_type/Support%20hours/",
          "resource_type_id": "Support hours",
          "value": 32400
        }
      ],
    //projectArchiveLocation: [{"id":2,"url":"http://localhost:3000/api/project_quota_archive_location/2","archive_location":"http://localhost:3000/api/filesystem/2","archive_location_id":2,"archive_subdirectory":"normal","full_archive_uri":"srm://srm.grid.sara.nl:8443/pnfs/grid.sara.nl/data/lofar/ops/projects/normal/","project_quota":"http://localhost:3000/api/project_quota/2","project_quota_id":2},{"id":3,"url":"http://localhost:3000/api/project_quota_archive_location/3","archive_location":"http://localhost:3000/api/filesystem/2","archive_location_id":2,"archive_subdirectory":"low","full_archive_uri":"srm://srm.grid.sara.nl:8443/pnfs/grid.sara.nl/data/lofar/ops/projects/low/","project_quota":"http://localhost:3000/api/project_quota/3","project_quota_id":3},{"id":1,"url":"http://localhost:3000/api/project_quota_archive_location/1","archive_location":"http://localhost:3000/api/filesystem/2","archive_location_id":2,"archive_subdirectory":"high","full_archive_uri":"srm://srm.grid.sara.nl:8443/pnfs/grid.sara.nl/data/lofar/ops/projects/high/","project_quota":"http://localhost:3000/api/project_quota/1","project_quota_id":1}],
    projectArchiveLocation: [{"id":1,"url":"http://localhost:3000/api/project_quota_archive_location/1","archive_location":"http://localhost:3000/api/filesystem/2","archive_location_id":2,"archive_subdirectory":"high","full_archive_uri":"srm://srm.grid.sara.nl:8443/pnfs/grid.sara.nl/data/lofar/ops/projects/high/","project_quota":"http://localhost:3000/api/project_quota/1","project_quota_id":1},{"id":2,"url":"http://localhost:3000/api/project_quota_archive_location/2","archive_location":"http://localhost:3000/api/filesystem/2","archive_location_id":2,"archive_subdirectory":"normal","full_archive_uri":"srm://srm.grid.sara.nl:8443/pnfs/grid.sara.nl/data/lofar/ops/projects/normal/","project_quota":"http://localhost:3000/api/project_quota/2","project_quota_id":2},{"id":3,"url":"http://localhost:3000/api/project_quota_archive_location/3","archive_location":"http://localhost:3000/api/filesystem/2","archive_location_id":2,"archive_subdirectory":"low","full_archive_uri":"srm://srm.grid.sara.nl:8443/pnfs/grid.sara.nl/data/lofar/ops/projects/low/","project_quota":"http://localhost:3000/api/project_quota/3","project_quota_id":3}],
    
    projectList: [
      {
          "name": "high",
          "url": "http://127.0.0.100:8008/api/project/high",
          "auto_ingest": false,
          "auto_pin": false,
          "can_trigger": true,
          "created_at": "2022-02-03T01:53:42.809382",
          "cycles": [
              "http://127.0.0.100:8008/api/cycle/Cycle%2016"
          ],
          "cycles_ids": [
              "Cycle 16"
          ],
          "description": "Project for all TMSS tests and commissioning (high priority)",
          "expert": true,
          "filler": false,
          "period_category": null,
          "period_category_value": null,
          "piggyback_allowed_aartfaac": true,
          "piggyback_allowed_tbb": true,
          "rank": 3.0,
          "private_data": true,
          "project_category": "http://127.0.0.100:8008/api/project_category/test",
          "project_category_value": "test",
          "project_state": "http://127.0.0.100:8008/api/project_state/active",
          "project_state_value": "active",
          "quota": [
              "http://127.0.0.100:8008/api/project_quota/1"
          ],
          "quota_ids": [
              1
          ],
          "tags": [
              "Commissioning"
          ],
          "trigger_priority": 1000,
          "updated_at": "2022-02-03T01:54:18.284312"
      },
      {
          "name": "low",
          "url": "http://127.0.0.100:8008/api/project/low",
          "auto_ingest": false,
          "auto_pin": false,
          "can_trigger": false,
          "created_at": "2022-02-03T01:53:42.859785",
          "cycles": [
              "http://127.0.0.100:8008/api/cycle/Cycle%2016"
          ],
          "cycles_ids": [
              "Cycle 16"
          ],
          "description": "Project for all TMSS tests and commissioning (low priority)",
          "expert": true,
          "filler": false,
          "period_category": null,
          "period_category_value": null,
          "piggyback_allowed_aartfaac": true,
          "piggyback_allowed_tbb": true,
          "rank": 1.0,
          "private_data": true,
          "project_category": "http://127.0.0.100:8008/api/project_category/test",
          "project_category_value": "test",
          "project_state": "http://127.0.0.100:8008/api/project_state/active",
          "project_state_value": "active",
          "quota": [
              "http://127.0.0.100:8008/api/project_quota/3"
          ],
          "quota_ids": [
              3
          ],
          "tags": [
              "Commissioning"
          ],
          "trigger_priority": 1000,
          "updated_at": "2022-02-03T01:53:42.864287"
      },
      {
          "name": "normal",
          "url": "http://127.0.0.100:8008/api/project/normal",
          "auto_ingest": false,
          "auto_pin": false,
          "can_trigger": false,
          "created_at": "2022-02-03T01:53:42.841810",
          "cycles": [
              "http://127.0.0.100:8008/api/cycle/Cycle%2016"
          ],
          "cycles_ids": [
              "Cycle 16"
          ],
          "description": "Project for all TMSS tests and commissioning (normal priority)",
          "expert": true,
          "filler": false,
          "period_category": null,
          "period_category_value": null,
          "piggyback_allowed_aartfaac": true,
          "piggyback_allowed_tbb": true,
          "rank": 2.0,
          "private_data": true,
          "project_category": "http://127.0.0.100:8008/api/project_category/test",
          "project_category_value": "test",
          "project_state": "http://127.0.0.100:8008/api/project_state/active",
          "project_state_value": "active",
          "quota": [
              "http://127.0.0.100:8008/api/project_quota/2"
          ],
          "quota_ids": [
              2
          ],
          "tags": [
              "Commissioning"
          ],
          "trigger_priority": 1000,
          "updated_at": "2022-02-03T01:53:42.846511"
      }
    ],
    projectState: [{"value":"opened","url":"http://localhost:3000/api/project_state/opened"},{"value":"active","url":"http://localhost:3000/api/project_state/active"},{"value":"finished","url":"http://localhost:3000/api/project_state/finished"},{"value":"cancelled","url":"http://localhost:3000/api/project_state/cancelled"},{"value":"suspended","url":"http://localhost:3000/api/project_state/suspended"}],
    // resourceType:[
    //   {"name":"LTA Storage","url":"http://localhost:3000/api/resource_type/LTA%20Storage","created_at":"2022-01-17T03:55:57.679002","description":"Amount of storage in the LTA (in bytes)","quantity":"http://localhost:3000/api/quantity/bytes","quantity_value":"bytes","tags":[],"updated_at":"2022-01-17T03:55:57.679062"},
    //   {"name":"CEP Storage","url":"http://localhost:3000/api/resource_type/CEP%20Storage","created_at":"2022-01-17T03:55:57.679144","description":"Amount of storage on the CEP processing cluster (in bytes)","quantity":"http://localhost:3000/api/quantity/bytes","quantity_value":"bytes","tags":[],"updated_at":"2022-01-17T03:55:57.679160"},
    //   {"name":"CEP Processing Time","url":"http://localhost:3000/api/resource_type/CEP%20Processing%20Time","created_at":"2022-01-17T03:55:57.679219","description":"Processing time on the CEP processing cluster (in seconds)","quantity":"http://localhost:3000/api/quantity/time","quantity_value":"time","tags":[],"updated_at":"2022-01-17T03:55:57.679234"},{"name":"LOFAR Observing Time","url":"http://localhost:3000/api/resource_type/LOFAR%20Observing%20Time","created_at":"2022-01-17T03:55:57.679291","description":"Observing time (in seconds)","quantity":"http://localhost:3000/api/quantity/time","quantity_value":"time","tags":[],"updated_at":"2022-01-17T03:55:57.679308"},{"name":"LOFAR Observing Time prio A","url":"http://localhost:3000/api/resource_type/LOFAR%20Observing%20Time%20prio%20A","created_at":"2022-01-17T03:55:57.679365","description":"Observing time with priority A (in seconds)","quantity":"http://localhost:3000/api/quantity/time","quantity_value":"time","tags":[],"updated_at":"2022-01-17T03:55:57.679380"},{"name":"LOFAR Observing Time prio B","url":"http://localhost:3000/api/resource_type/LOFAR%20Observing%20Time%20prio%20B","created_at":"2022-01-17T03:55:57.679437","description":"Observing time with priority B (in seconds)","quantity":"http://localhost:3000/api/quantity/time","quantity_value":"time","tags":[],"updated_at":"2022-01-17T03:55:57.679452"},{"name":"LOFAR Observing Time Commissioning","url":"http://localhost:3000/api/resource_type/LOFAR%20Observing%20Time%20Commissioning","created_at":"2022-01-17T03:55:57.679509","description":"Observing time for Commissioning/DDT (in seconds)","quantity":"http://localhost:3000/api/quantity/time","quantity_value":"time","tags":[],"updated_at":"2022-01-17T03:55:57.679524"},{"name":"LOFAR Support Time","url":"http://localhost:3000/api/resource_type/LOFAR%20Support%20Time","created_at":"2022-01-17T03:55:57.679581","description":"Support time by human (in seconds)","quantity":"http://localhost:3000/api/quantity/time","quantity_value":"time","tags":[],"updated_at":"2022-01-17T03:55:57.679596"},{"name":"Number of triggers","url":"http://localhost:3000/api/resource_type/Number%20of%20triggers","created_at":"2022-01-17T03:55:57.679653","description":"Number of trigger events (as integer)","quantity":"http://localhost:3000/api/quantity/number","quantity_value":"number","tags":[],"updated_at":"2022-01-17T03:55:57.679668"}]
    resourceType: [{"name":"LTA Storage","url":"http://localhost:3000/api/resource_type/LTA%20Storage","created_at":"2022-02-01T19:09:57.410436","description":"Amount of storage in the LTA (in bytes)","quantity":"http://localhost:3000/api/quantity/bytes","quantity_value":"bytes","tags":[],"updated_at":"2022-02-01T19:09:57.410457"},{"name":"CEP Storage","url":"http://localhost:3000/api/resource_type/CEP%20Storage","created_at":"2022-02-01T19:09:57.410505","description":"Amount of storage on the CEP processing cluster (in bytes)","quantity":"http://localhost:3000/api/quantity/bytes","quantity_value":"bytes","tags":[],"updated_at":"2022-02-01T19:09:57.410515"},{"name":"CEP Processing Time","url":"http://localhost:3000/api/resource_type/CEP%20Processing%20Time","created_at":"2022-02-01T19:09:57.410552","description":"Processing time on the CEP processing cluster (in seconds)","quantity":"http://localhost:3000/api/quantity/time","quantity_value":"time","tags":[],"updated_at":"2022-02-01T19:09:57.410561"},{"name":"LOFAR Observing Time","url":"http://localhost:3000/api/resource_type/LOFAR%20Observing%20Time","created_at":"2022-02-01T19:09:57.410596","description":"Observing time (in seconds)","quantity":"http://localhost:3000/api/quantity/time","quantity_value":"time","tags":[],"updated_at":"2022-02-01T19:09:57.410605"},{"name":"LOFAR Observing Time prio A","url":"http://localhost:3000/api/resource_type/LOFAR%20Observing%20Time%20prio%20A","created_at":"2022-02-01T19:09:57.410641","description":"Observing time with priority A (in seconds)","quantity":"http://localhost:3000/api/quantity/time","quantity_value":"time","tags":[],"updated_at":"2022-02-01T19:09:57.410650"},{"name":"LOFAR Observing Time prio B","url":"http://localhost:3000/api/resource_type/LOFAR%20Observing%20Time%20prio%20B","created_at":"2022-02-01T19:09:57.410686","description":"Observing time with priority B (in seconds)","quantity":"http://localhost:3000/api/quantity/time","quantity_value":"time","tags":[],"updated_at":"2022-02-01T19:09:57.410695"},{"name":"LOFAR Observing Time Commissioning","url":"http://localhost:3000/api/resource_type/LOFAR%20Observing%20Time%20Commissioning","created_at":"2022-02-01T19:09:57.410730","description":"Observing time for Commissioning/DDT (in seconds)","quantity":"http://localhost:3000/api/quantity/time","quantity_value":"time","tags":[],"updated_at":"2022-02-01T19:09:57.410739"},{"name":"LOFAR Support Time","url":"http://localhost:3000/api/resource_type/LOFAR%20Support%20Time","created_at":"2022-02-01T19:09:57.410775","description":"Support time by human (in seconds)","quantity":"http://localhost:3000/api/quantity/time","quantity_value":"time","tags":[],"updated_at":"2022-02-01T19:09:57.410784"},{"name":"Number of triggers","url":"http://localhost:3000/api/resource_type/Number%20of%20triggers","created_at":"2022-02-01T19:09:57.410819","description":"Number of trigger events (as integer)","quantity":"http://localhost:3000/api/quantity/number","quantity_value":"number","tags":[],"updated_at":"2022-02-01T19:09:57.410828"}]
}

export default ProjectServiceMock;