import JViewer from './JViewer'; // Import the JViewer component
import  renderer    from 'react-test-renderer';

describe('JViewer Component', () => {
  // JSON objects for testing
  const testStartJSON = {
    key1: 'value1',
  };




  
  test("should correctly display the JSON data", () => {
    const page = renderer
        .create(<JViewer outputJSON={testStartJSON} />)
        .toJSON();
    expect(page).toMatchSnapshot();
})

test("should update the JSON data when calling updateOutput", () => {
    // Create a renderer and render the component
    const component = renderer.create(<JViewer outputJSON={testStartJSON} />);
    const jViewerInstance = component.getInstance();      
  
    // Define new JSON data
    const newJSONData = {        key2: 'value3'     };
  
    // Call the updateOutput function with the new JSON data
    jViewerInstance.updateOutput(newJSONData);
  
    // Assert that the component's state has been updated
    expect(jViewerInstance.state.outputJSON).toEqual(newJSONData);
  });
});
