
import React, { useState}   from 'react';
import 'primeicons/primeicons.css';
import 'primereact/resources/themes/nova/theme.css';
import 'primereact/resources/primereact.css';
import 'primeflex/primeflex.css';
import { PropTypes } from 'prop-types';
import Auth from '../../authenticate/auth';
import { FindObject } from './FindObject';
import DateTimeInfo from "./DateTimeInfo";
import { Dialog } from 'primereact/dialog';
import UserOverView from '../../routes/User/UserOverView';


const AppTopbar = (props) => {
  
  
    const [visible, setVisible] = useState(false);
    const user = Auth.getUser();

     return (
                <div className="layout-wrapper layout-static layout-static-sidebar-inactive">
                    <div className="layout-topbar clearfix">
                        
                        <button className="p-link layout-menu-button" onClick={props.onToggleMenu} title="Toggle Menu">
						<i className="pi pi-bars"></i></button>
                        <span className="header-title">TMSS</span>
                        <span className="header-by">by</span>
                        <span className="header-company">ASTRON</span>
                       
                        {props.isLoggedIn &&
                        <React.Fragment>
                                
                            {props.isDateTimeVisible && 
                            <div className="top-date-bar">
                            <DateTimeInfo/>
                            </div>
                }
                           <div className="top-right-bar">
                          
                                <a className="p-link layout-menu-button" style= {{marginLeft: '8px', marginRight: '8px'}} title="Documentation"
                                href="https://support.astron.nl/confluence/display/public/TMSS+User+Manual" target="_blank" rel="noreferrer ">
                                <i className="pi pi-file-o"></i></a>
                                <a className="p-link layout-menu-button"  title="Helpdesk" href="https://support.astron.nl/sdchelpdesk" target="_blank" rel="noreferrer ">
                                <span><i className="pi pi-question-circle"></i></span></a>
                                
                                <button className="p-link layout-menu-button" onClick={props.onLogout} title={`Logout ${user?.name}`}>
                                <i className="pi pi-power-off"></i></button>
                                <button className="p-link layout-menu-button" onClick={() => setVisible(true)}  title={`Logged in as ${user?.name}`}>
                                <i className="pi pi-user"></i></button>
                            </div>
                               <Dialog header="TMSS User Permission" visible={visible} style={{ width: '50vw' }} onHide={() => setVisible(false)} maximizable >
                                <UserOverView></UserOverView>
                                    </Dialog>

                            </React.Fragment>
                        }
                       <FindObject setSearchField={props.setSearchField} />
                    </div>
                        
                </div>

        )
}


AppTopbar.propTypes = {
    onToggleMenu: PropTypes.func.isRequired,
    isLoggedIn: PropTypes.bool,
    isDateTimeVisible:PropTypes.bool,
    setSearchField:PropTypes.func,
    onLogout:PropTypes.func,
    username:PropTypes.string   
}

export default   AppTopbar 