import PropTypes from 'prop-types';
import ScheduleService from "../../services/schedule.service";
import { useEffect, useState } from "react";
import { ProgressSpinner } from 'primereact/progressspinner';
export default function StationConstraintImage(props) {
    const {
        station,
        startTime,
        blueprintId,
        children
    } = props


    const [constraintImage, setConstraintImage] = useState()

    const fetchImage = async () => {
        setConstraintImage(null);
        let constraintImage = await ScheduleService.getConstraintImgForStationAndSchedulingUnitOnDate(station, blueprintId, startTime);
        setConstraintImage(constraintImage);
    };
    useEffect(() => {
        fetchImage();
    }, [station, blueprintId, startTime]);


    return (
        <div>
            {constraintImage === null ? (
                <ProgressSpinner />
            ) : (
                <div className='FlexColumn'>
                    {children}
                    <div>
                    <img src={constraintImage} alt="Constraint" />
                    </div>
                    </div>
            )}
        </div>
    )
}


StationConstraintImage.propTypes = {
    station: PropTypes.string,
    startTime: PropTypes.string,
    blueprintId: PropTypes.string,
    children: PropTypes.node
}; 