import { BrowserRouter as Router } from 'react-router-dom';


import WeekView from "./WeekView";

import moment from "moment";
import { render, waitFor,act } from '@testing-library/react';
import { MakeWeekViewPrimaryMock } from '../../tests/axiosmocks.';





describe('WeekView Render Contents', () => {

    it('WeekView renders correctly with data', async () => {
        MakeWeekViewPrimaryMock();
        let component
        await act(async () => {
            component = render(
                <Router>
                    <WeekView endTime={moment("2023-12-03").endOf('day')} startTime={moment("2023-12-03").startOf('day')}></WeekView>
                </Router>
            );
        });

        const componentSnapshot = component.asFragment();
        // Now `page` should be defined
        expect(componentSnapshot).toMatchSnapshot("DuringLoad");

        await waitFor(() => {
            expect(component.container.querySelector('.p-progressbar-value-animate')).toBeDefined();
        }, { timeout: 5000 });
        
        await act(async () => {
            component.rerender(
                <Router>
                    <WeekView endTime={moment("2023-12-03").endOf('day')} startTime={moment("2023-12-03").startOf('day')} grouping={"band_group"}></WeekView>
                </Router>
            );
        });
        expect(componentSnapshot).toMatchSnapshot("Loaded");

        component.unmount();
    });
});

