import axios from "axios";
import MockAdapter from 'axios-mock-adapter';
import { render, act ,fireEvent} from '@testing-library/react';
import SchedulingUnitBlueprintSlimWithTask from '../__mocks__/scheduling_unit_blueprint_slim_with_task.json'
import Stations  from '../__mocks__/stations.json'
import StationView from "../routes/Station/StationView";
import StationConstraintView from '../routes/Station/StationConstraintView';

function MakePrimaryMock() {
    let mock = new MockAdapter(axios);
    
    mock.onGet("/api/scheduling_unit_blueprint_slim_with_tasks/?process_start_time_before=2023-12-22 23:59:59&process_stop_time_after=2023-12-16 00:00:00&id=&limit=50&offset=12").reply(200, SchedulingUnitBlueprintSlimWithTask);
    mock.onGet("/api/scheduling_unit_blueprint_slim_with_tasks/?process_start_time_before=2023-12-22 23:59:59&process_stop_time_after=2023-12-16 00:00:00&id=").reply(200, SchedulingUnitBlueprintSlimWithTask);
    mock.onGet("/api/scheduling_unit_blueprint/1/scheduling_constraints_plot/CS002/12:00").reply(200, {});
    
    mock.onGet("/api/util/stations").reply(200, Stations);
    
    return mock
}

describe('Station View ', () => {

    it('Station View   renders correctly ', async () => {
        
       


        
        MakePrimaryMock();
        let component
        await act(async () => { component = render(<StationView  />); });
        const componentSnapshot = component.asFragment();
        expect(componentSnapshot).toMatchSnapshot();
         act( () => {
        fireEvent.click(component.getAllByTitle('previous day')[0]);
        });

        const previousday  = component.asFragment();
        expect(previousday).toMatchSnapshot();
        component.unmount();
    });

    

});

describe('Station constraint  View ', () => {

    it('StationConstraintView View   renders correctly ', async () => {
        MakePrimaryMock();

        let station = "CS002"
        let  selectedBluePrint = 
            [
                {},
            { "status":"schedulable",
            "name":"test"}
            ]
        
        let selectedBluePrintId ="1"
        let startTime= "12:00"
        
        let component
        await act(async () => { component = render(<StationConstraintView station={ station}   selectedBluePrint={selectedBluePrint}  selectedBluePrintId={selectedBluePrintId}  startTime={startTime} />); });
        const componentSnapshot = component.asFragment();
        expect(componentSnapshot).toMatchSnapshot();
        act( () => {
            fireEvent.click(component.getAllByTitle('select contraint')[0]);
            });
        const componentSnapshotWithToast = component.asFragment();
        expect(componentSnapshotWithToast).toMatchSnapshot("With Toast");
        
        
        
        component.unmount();
    });

    

});
